#pragma hdrstop
#include <condefs.h>

#include <iostream.h>
#include <conio.h>

//---------------------------------------------------------------------------
class TCVecteur {
        private:
        int n;//taille du vecteur
        double* tab;//tableau de donnes
        void initialiser();//initialise le tableau de taille n
        public:
        //premier constructeur sans paramtres
        TCVecteur();
        //second constructeur avec un paramtre de taille  passer
        TCVecteur(int prmTaille);
        //destructeur
        ~TCVecteur();
        //crire une valeur dans le tableau, dans la case ni
        void ecrire(int i, double value);
        //lire une valeur du tableau
        double lire(int i);
};

void TCVecteur::ecrire(int i, double value)
{
 if (i>=0 && i<n)
        tab[i] = value;//ok criture
 else
        cout << "erreur indice tableau" << endl;//il y a d'autres possibilits
}

double TCVecteur::lire(int i)
{
 if (i>=0 && i<n)
        return tab[i];
 else
        return -99999;//par exemple
}

void TCVecteur::initialiser()
{
 //iniatialise un tableau de taille n
 tab = new double[n];
}

TCVecteur::TCVecteur()
{
 //on fixe une taille par dfaut de 5
 n = 5;
 //initialiser le tableau
 initialiser();
}

TCVecteur::TCVecteur(int prmTaille)
{
 n = prmTaille;
 initialiser();
}

TCVecteur::~TCVecteur()
{
 delete [] tab;
}

//---------------------------------------------------------------------------
#pragma argsused
int main(int argc, char* argv[])
{
        int taille;
        cin >> taille;

        TCVecteur* vec = new TCVecteur(taille); //le tableau a la bonne taille

        vec->ecrire(2,0.35);//ok si tableau de taille correcte

        cout << vec->lire(2);

        delete vec;

        getch();
        

        return 0;
}
 